# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/arm/mediatek.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: MediaTek SoC based Platforms Device Tree Bindings

maintainers:
  - Sean Wang <sean.wang@mediatek.com>
  - Matthias Brugger <matthias.bgg@gmail.com>
description: |
  Boards with a MediaTek SoC shall have the following properties.

properties:
  $nodename:
    const: '/'
  compatible:
    oneOf:
      - items:
          - enum:
              - mediatek,mt2701-evb
          - const: mediatek,mt2701

      - items:
          - enum:
              - mediatek,mt2712-evb
          - const: mediatek,mt2712
      - items:
          - enum:
              - mediatek,mt6580-evbp1
          - const: mediatek,mt6580
      - items:
          - enum:
              - mundoreader,bq-aquaris5
          - const: mediatek,mt6589
      - items:
          - enum:
              - mediatek,mt6592-evb
          - const: mediatek,mt6592
      - items:
          - enum:
              - mediatek,mt6755-evb
          - const: mediatek,mt6755
      - items:
          - enum:
              - mediatek,mt6765-evb
          - const: mediatek,mt6765
      - items:
          - enum:
              - mediatek,mt6779-evb
          - const: mediatek,mt6779
      - items:
          - enum:
              - mediatek,mt6795-evb
          - const: mediatek,mt6795
      - items:
          - enum:
              - archermind,mt6797-x20-dev
              - mediatek,mt6797-evb
          - const: mediatek,mt6797
      - items:
          - enum:
              - bananapi,bpi-r64
              - mediatek,mt7622-rfb1
          - const: mediatek,mt7622
      - items:
          - enum:
              - mediatek,mt7623a-rfb-emmc
              - mediatek,mt7623a-rfb-nand
              - mediatek,mt7623n-rfb-emmc
              - bananapi,bpi-r2
          - const: mediatek,mt7623

      - items:
          - enum:
              - mediatek,mt7629-rfb
          - const: mediatek,mt7629
      - items:
          - enum:
              - mediatek,mt8127-moose
          - const: mediatek,mt8127
      - items:
          - enum:
              - mediatek,mt8135-evbp1
          - const: mediatek,mt8135
      - description: Google Elm (Acer Chromebook R13)
        items:
          - const: google,elm-rev8
          - const: google,elm-rev7
          - const: google,elm-rev6
          - const: google,elm-rev5
          - const: google,elm-rev4
          - const: google,elm-rev3
          - const: google,elm
          - const: mediatek,mt8173
      - description: Google Hana (Lenovo Chromebook N23 Yoga, C330, 300e,...)
        items:
          - const: google,hana-rev6
          - const: google,hana-rev5
          - const: google,hana-rev4
          - const: google,hana-rev3
          - const: google,hana
          - const: mediatek,mt8173
      - description: Google Hana rev7 (Poin2 Chromebook 11C)
        items:
          - const: google,hana-rev7
          - const: mediatek,mt8173
      - items:
          - enum:
              - mediatek,mt8173-evb
          - const: mediatek,mt8173
      - items:
          - enum:
              - mediatek,mt8183-evb
          - const: mediatek,mt8183
      - description: Google Krane (Lenovo IdeaPad Duet, 10e,...)
        items:
          - const: google,krane-sku176
          - const: google,krane
          - const: mediatek,mt8183

additionalProperties: true

...
